Bug 173820 - [PATCH] archivers/rpm5 optionsng
[PATCH] archivers/rpm5 optionsng
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Wesley Shields
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-21 23:40 UTC by c.petrik.sosa
Modified: 2013-01-08 16:50 UTC (History)
0 users

See Also:


Attachments
file.diff (1.65 KB, patch)
2012-11-21 23:40 UTC, c.petrik.sosa
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description c.petrik.sosa 2012-11-21 23:40:01 UTC
Options NG Changes

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-11-21 23:40:36 UTC
Maintainer of archivers/rpm5,

Please note that PR ports/173820 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/173820

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-11-21 23:40:37 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Wesley Shields freebsd_committer 2012-11-29 16:36:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

I'll take it.
Comment 4 Wesley Shields freebsd_committer 2013-01-08 16:46:59 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!
Comment 5 dfilter freebsd_committer 2013-01-08 16:47:03 UTC
Author: wxs
Date: Tue Jan  8 16:46:50 2013
New Revision: 310101
URL: http://svnweb.freebsd.org/changeset/ports/310101

Log:
  Trim header.
  Convert to new options.
  
  PR:		ports/173820
  Submitted by:	Chris Petrik <c.petrik.sosa@gmail.com>
  Approved by:	maintainer timeout

Modified:
  head/archivers/rpm5/Makefile   (contents, props changed)

Modified: head/archivers/rpm5/Makefile
==============================================================================
--- head/archivers/rpm5/Makefile	Tue Jan  8 16:31:50 2013	(r310100)
+++ head/archivers/rpm5/Makefile	Tue Jan  8 16:46:50 2013	(r310101)
@@ -1,7 +1,4 @@
-# New ports collection makefile for:	rpm
-# Date created:				6 May 2003
-# Whom:					Greg Lewis <glewis@FreeBSD.org>
-#
+# Created by: Greg Lewis <glewis@FreeBSD.org>
 # $FreeBSD$
 
 PORTNAME=	rpm
@@ -23,16 +20,11 @@ LIB_DEPENDS=	sqlite3.8:${PORTSDIR}/datab
 BUILD_DEPENDS=	gsed:${PORTSDIR}/textproc/gsed \
 		${LOCALBASE}/lib/libuuid.a:${PORTSDIR}/misc/ossp-uuid \
 		bash:${PORTSDIR}/shells/bash
-.if !defined(NOPORTDOCS)
-BUILD_DEPENDS+=	doxygen:${PORTSDIR}/devel/doxygen \
-		dot:${PORTSDIR}/graphics/graphviz \
-		${LOCALBASE}/lib/X11/fonts/freefont-ttf/FreeSans.ttf:${PORTSDIR}/x11-fonts/freefont-ttf
-.endif
 
 SH=		${LOCALBASE}/bin/bash
 
-OPTIONS=	PERL "Build Perl RPM module" Off \
-		PYTHON "Build Python RPM module" On
+OPTIONS_DEFINE=	PERL PYTHON LUA
+OPTIONS_DEFAULT=	PYTHON LUA
 
 DB_VERSION?=	47
 USE_BDB=	${DB_VERSION}
@@ -48,7 +40,7 @@ CONFLICTS=	rpm-3.* rpm-4.*
 
 .include <bsd.port.options.mk>
 
-.if !defined(WITHOUT_LUA)
+.if ${PORT_OPTIONS:MLUA}
 CONFIGURE_ARGS+=--with-lua=external \
 		--with-syck=external
 USE_LUA=	5.1-
@@ -60,7 +52,7 @@ CONFIGURE_ARGS+=--without-lua \
 		--without-syck
 .endif
 
-.if defined(WITH_PERL)
+.if ${PORT_OPTIONS:MPERL}
 CONFIGURE_ARGS+=--with-perl
 CONFIGURE_ENV+=	__PERL=${PERL}
 USE_PERL5=	yes
@@ -70,7 +62,7 @@ CONFIGURE_ARGS+=--without-perl
 PLIST_SUB+=	PERL="@comment "
 .endif
 
-.if defined(WITH_PYTHON)
+.if ${PORT_OPTIONS:MPYTHON}
 CONFIGURE_ARGS+=--with-python=${PYTHON_VER}
 CONFIGURE_ENV+=	__PYTHON=${PYTHON_CMD}
 USE_PYTHON=	yes
@@ -82,15 +74,18 @@ CONFIGURE_ARGS+=--without-python
 PLIST_SUB+=	PYTHON="@comment "
 .endif
 
-.if defined(WITHOUT_NLS)
-CONFIGURE_ARGS+=--disable-nls
-.else
+.if ${PORT_OPTIONS:MNLS}
 CONFIGURE_ARGS+=--enable-nls
 USE_GETTEXT=	yes
 USE_ICONV=	yes
+.else
+CONFIGURE_ARGS+=--disable-nls
 .endif
 
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
+BUILD_DEPENDS+=	doxygen:${PORTSDIR}/devel/doxygen \
+		dot:${PORTSDIR}/graphics/graphviz \
+		${LOCALBASE}/lib/X11/fonts/freefont-ttf/FreeSans.ttf:${PORTSDIR}/x11-fonts/freefont-ttf
 CONFIGURE_ARGS+=--with-apidocs
 .endif
 
@@ -120,7 +115,7 @@ MAN3=	RPM.3 RPM::Constant.3 RPM::Depende
 MAN3PREFIX?=	${PREFIX}/lib/perl5/${PERL_VERSION}
 .endif
 
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 PORTDOCS=	*
 .endif
 
@@ -142,19 +137,19 @@ post-patch::
 		${WRKSRC}/scripts/gendiff
 
 post-configure:
-.if defined(WITH_PERL)
+.if ${PORT_OPTIONS:MPERL}
 	@cd ${CONFIGURE_WRKSRC}/perl && \
 		${PERL5} -pi -e 's/ doc_(perl|site|\$$\(INSTALLDIRS\))_install$$//' Makefile
 .endif
 	@echo "DOT_FONTPATH = ${LOCALBASE}/lib/X11/fonts/freefont-ttf" >> ${WRKSRC}/Doxyfile
 
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 post-build:
 	${MAKE} -C ${WRKSRC} apidocs
 .endif
 
 post-install:
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	# Install documentation
 	${MKDIR} ${DOCSDIR}/apidocs/html
 	cd ${WRKSRC}/apidocs/html && ${FIND} . \
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"